#!/bin/sh
# IVU - Installation Verification Utility 1.5.0
# 5724-I63, 5724-H88, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp., 1997, 2005
# All Rights Reserved  Licensed Materials  Property of IBM


setWASHome()
{
    CUR_DIR=`pwd`
    WAS_DIR=`dirname ${0}`/../
    cd ${WAS_DIR}
    WAS_HOME=`pwd`
    cd ${CUR_DIR}
}

callNotSupported()
{
USER_INSTALL_ROOT=${WAS_HOME}
}

checkUserInstallRoot() 
{
if [ ! -d "${USER_INSTALL_ROOT}" ]; then
	callNotSupported
fi
}

callSetup() 
{
SETUPCMDLINE=${WAS_HOME}/bin/setupCmdLine.sh

if [ -f "${SETUPCMDLINE}" ]; then
	. ${SETUPCMDLINE}
	checkUserInstallRoot
else
	callNotSupported
fi
}
callProfileScript()
{
	. ${PROFILE_SCRIPT}
	if [ $? != 0 ]; then
		#if it did not execute properly - callSetupCmdLine
		callSetup
	else
		# check the var setup in profile script
		checkWASUserScript
	fi

}

checkWASUserScript() 
{
if [ -f "${WAS_USER_SCRIPT}" ]; then
	#src for the user's default install root
	. ${WAS_USER_SCRIPT}
	if [ $? != 0 ]; then
		callSetup
	else
		checkUserInstallRoot
	fi
else
	callSetup
fi

}

callVerifyJavaHome()
{
if [ ! -f "${JAVA_HOME}/bin/java" ]; then
JAVA_HOME=${WAS_HOME}/uninstall/java
	if [ ! -f "${JAVA_HOME}/bin/java" ]; then
		JAVA_HOME=${WAS_HOME}/java/jre
	fi
fi
}



#############MAIN#######################
setWASHome  #using prefered location.
JAVA_HOME=${WAS_HOME}/java
PROFILE_SCRIPT="${WAS_HOME}/properties/fsdb/_was_profile_default/default.sh"
if [ -f "${PROFILE_SCRIPT}" ]; then
	# call the profile script
	callProfileScript
else
	callSetup
fi 


# Debugging option
# DEBUG="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777"

INSTALLVER_CLASSPATH=${WAS_HOME}/lib/installver.jar
PROFILE_HOME=${USER_INSTALL_ROOT}
# Ensure JAVA_HOME is valid.
callVerifyJavaHome

"$JAVA_HOME/bin/java" $DEBUG "-Dproduct.home=$WAS_HOME" "-Dproduct.profile.home=$PROFILE_HOME" -classpath "$INSTALLVER_CLASSPATH" com.ibm.installver.IVU "$@"

